问答交流

读取数据模块报错——no data

由bqlf38ns创建,最终由small_q 被浏览 19 用户

希望通过使用读取数据模块读取表cn_stock_factors_ta,

m7 = M.datahub_load_datasource.v1(
    table='cn_stock_factors_ta',
    start_date='20200101',
    end_date='20230901',
    instruments="""# #号开始的表示注释,注释需单独一行
# 每行一条
""",
    fields="""# #号开始的表示注释,注释需单独一行
# 每行一条
"""
)

m7 = M.datahub_load_datasource.v1( table='cn_stock_factors_ta', start_date='20200101', end_date='20230901', instruments="""# #号开始的表示注释,注释需单独一行 # 每行一条 """, fields="""# #号开始的表示注释,注释需单独一行 # 每行一条 """ )

\

  • \
    ---------------------------------------------------------------------------
    TypeError                                 Traceback (most recent call last)
    File module2/modules/datahub_load_datasource/v1/__init__.py:38, in biglearning.module2.modules.datahub_load_datasource.v1.__init__.bigquant_run()
    TypeError: object of type 'NoneType' has no len()
    During handling of the above exception, another exception occurred:
    Exception                                 Traceback (most recent call last)
    Cell In[3], line 26
         23 from bigtrader.constant import OrderType
         24 from bigtrader.constant import Direction
    ---> 26 m7 = M.datahub_load_datasource.v1(
         27     table='cn_stock_factors_ta',
         28     start_date='20200101',
         29     end_date='20230901',
         30     instruments="""# #号开始的表示注释,注释需单独一行
         31 # 每行一条
         32 """,
         33     fields="""# #号开始的表示注释,注释需单独一行
         34 # 每行一条
         35 """
         36 )
    File module2/common/modulemanagerv2.py:88, in biglearning.module2.common.modulemanagerv2.BigQuantModuleVersion.__call__()
    File module2/common/moduleinvoker.py:331, in biglearning.module2.common.moduleinvoker.module_invoke()
    File module2/common/moduleinvoker.py:253, in biglearning.module2.common.moduleinvoker._invoke_with_cache()
    File module2/common/moduleinvoker.py:214, in biglearning.module2.common.moduleinvoker._invoke_with_cache()
    File module2/common/moduleinvoker.py:171, in biglearning.module2.common.moduleinvoker._module_run()
    File module2/modules/datahub_load_datasource/v1/__init__.py:40, in biglearning.module2.modules.datahub_load_datasource.v1.__init__.bigquant_run()
    Exception: 没有数据
    

\

标签

金融数据data
评论
  • 这个
{link}